org.apache.commons.math3.exception.util

## Interface Localizable

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    DummyLocalizable, LocalizedFormats

      public interface Localizable
      extends java.io.Serializable

  Interface for localizable strings.
  Since:
    2.2
  Version:
    $Id: Localizable.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocalizedString(java.util.Locale locale)` Gets the localized string.
    `java.lang.String` | `getSourceString()` Gets the source (non-localized) string.

- - ### Method Detail

    - #### getSourceString

          java.lang.String getSourceString()

      Gets the source (non-localized) string.
      Returns:
        the source string.

    - #### getLocalizedString

          java.lang.String getLocalizedString(java.util.Locale locale)

      Gets the localized string.
      Parameters:
        `locale` - locale into which to get the string.
      Returns:
        the localized string or the source string if no localized version is available.

Copyright (c) 2003-2013 Apache Software Foundation